My Project: dgBodyMasterList Class Reference

My Project

Public Member Functions | Public Attributes | List of all members
dgBodyMasterList Class Reference

`#include <dgBodyMasterList.h>`

Inheritance diagram for dgBodyMasterList:

## Public Member Functions

| dgBodyMasterList (dgMemoryAllocator *const allocator)
| ~dgBodyMasterList ()
void | AddBody (dgBody *const body)
void | RemoveBody (dgBody *const body)
void | RemoveConstraint (dgConstraint *const constraint)
void | AttachConstraint (dgConstraint *const constraint, dgBody *const body0, dgBody *const body1)
dgBodyMasterListRow::dgListNode * | FindConstraintLink (const dgBody *const body0, const dgBody *const body1) const
dgBodyMasterListRow::dgListNode * | FindConstraintLinkNext (const dgBodyMasterListRow::dgListNode *const me, const dgBody *const body) const
dgUnsigned32 | MakeSortMask (const dgBody *const body) const
void | SortMasterList ()
Public Member Functions inherited from dgList< dgBodyMasterListRow >
| dgList (dgMemoryAllocator *const allocator)
virtual | ~dgList ()
dgMemoryAllocator * | GetAllocator () const
void | SetAllocator (dgMemoryAllocator *const allocator)
| operator dgInt32 () const
dgInt32 | GetCount () const
dgListNode * | GetLast () const
dgListNode * | GetFirst () const
dgListNode * | Append ()
dgListNode * | Append (dgListNode *const node)
dgListNode * | Append (const dgBodyMasterListRow &element)
dgListNode * | Addtop ()
dgListNode * | Addtop (dgListNode *const node)
dgListNode * | Addtop (const dgBodyMasterListRow &element)
void | RotateToEnd (dgListNode *const node)
void | RotateToBegin (dgListNode *const node)
void | InsertAfter (dgListNode *const root, dgListNode *const node)
void | InsertBefore (dgListNode *const root, dgListNode *const node)
dgListNode * | Find (const dgBodyMasterListRow &element) const
dgListNode * | GetNodeFromInfo (dgBodyMasterListRow &m_info) const
void | Remove (dgListNode *const node)
void | Remove (const dgBodyMasterListRow &element)
void | RemoveAll ()
void | Merge (dgList< dgBodyMasterListRow > &list)
void | Unlink (dgListNode *const node)
bool | SanityCheck () const

## Public Attributes

dgTree< int, dgBody * > | m_disableBodies
dgInt32 | m_deformableCount
dgUnsigned32 | m_constraintCount

## Constructor & Destructor Documentation

## § dgBodyMasterList()

dgBodyMasterList::dgBodyMasterList | ( | dgMemoryAllocator *const | allocator | ) |

## § ~dgBodyMasterList()

dgBodyMasterList::~dgBodyMasterList | ( | void |  | ) |

## Member Function Documentation

## § AddBody()

void dgBodyMasterList::AddBody | ( | dgBody *const | body | ) |

## § AttachConstraint()

void dgBodyMasterList::AttachConstraint | ( | dgConstraint *const | constraint,
|  | dgBody *const | body0,
|  | dgBody *const | body1
| ) |  |

## § FindConstraintLink()

dgBodyMasterListRow::dgListNode * dgBodyMasterList::FindConstraintLink | ( | const dgBody *const | body0,
|  | const dgBody *const | body1
| ) |  | const

## § FindConstraintLinkNext()

dgBodyMasterListRow::dgListNode * dgBodyMasterList::FindConstraintLinkNext | ( | const dgBodyMasterListRow::dgListNode *const | me,
|  | const dgBody *const | body
| ) |  | const

## § MakeSortMask()

DG_INLINE dgUnsigned32 dgBodyMasterList::MakeSortMask | ( | const dgBody *const | body | ) | const

## § RemoveBody()

void dgBodyMasterList::RemoveBody | ( | dgBody *const | body | ) |

## § RemoveConstraint()

void dgBodyMasterList::RemoveConstraint | ( | dgConstraint *const | constraint | ) |

## § SortMasterList()

void dgBodyMasterList::SortMasterList | ( |  | ) |

## Member Data Documentation

## § m_constraintCount

dgUnsigned32 dgBodyMasterList::m_constraintCount

## § m_deformableCount

dgInt32 dgBodyMasterList::m_deformableCount

## § m_disableBodies

dgTree<int, dgBody*> dgBodyMasterList::m_disableBodies

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/physics/dgBodyMasterList.h
- dynamics.mod/NewtonDynamics/source/physics/dgBodyMasterList.cpp